package wlabel

import (
	"testing"
)

type tester struct {
	t *testing.T
}

func TestWuiLabel(t *testing.T) {
	sf := &tester{
		t: t,
	}
	sf.new()
}

// Создаёт новую метку
func (sf *tester) new() {
	sf.t.Log("new")
	lbl := NewWuiLabel("test_lbl")
	if lbl == nil {
		sf.t.Fatalf("new(): WuiLabel==nil")
	}
	if txt := lbl.Text(); txt == nil {
		sf.t.Fatalf("new(): txt==nil")
	}
	if html := lbl.Html(); html == "" {
		sf.t.Fatalf("new(): html is empty")
	}
}
